Bug 449800 - system-config-lvm - new file systems not mounted after reboot
system-config-lvm - new file systems not mounted after reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 13:00 EDT by Justin Conover
Modified: 2009-07-14 11:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Conover 2008-06-03 13:00:27 EDT
Description of problem: When creating a partition, and choosing mount, after a
reboot it doesn't mount it.  The file system entry in /etc/fstab is there however.


Version-Release number of selected component (if applicable):
system-config-lvm-1.1.4-1.0.fc9.noarch

How reproducible:


Steps to Reproduce:
1. system-config-lvm
2. Create New Logical Volume
3. Under "Filesystem", select Ext3/2, check "Mount and Mount when rebooted"
4. reboot
  
Actual results:

The file system isn't mounted.  The sort of odd thing is that when you go back
into SCL and look at the mount point options. "Mount when rebooted" is still
selected and "Mount" is not.  The entry is still in /etc/fstab

Expected results:

Mount the file system after reboot.


Additional info: I have confirmed this on 3 different machines, all running
Fedora 9 x86_64.
Comment 1 Justin Conover 2008-06-03 14:47:15 EDT
Just rebooted for example:

[justin@echelon ~]$ df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/rootvg-rootlv
                      2.0G  434M  1.5G  23% /
/dev/mapper/rootvg-optlv
                      4.0G  156M  3.6G   5% /opt
/dev/mapper/rootvg-tmplv
                      2.0G   71M  1.8G   4% /tmp
/dev/mapper/rootvg-varlv
                      4.0G  346M  3.5G  10% /var
/dev/mapper/rootvg-homelv
                       60G   13G   44G  23% /home
/dev/mapper/rootvg-usrlv
                      8.0G  5.5G  2.2G  72% /usr
/dev/mapper/rootvg-locallv
                      9.9G  8.1G  1.4G  86% /usr/local
/dev/sda1             251M   24M  215M  10% /boot
tmpfs                 4.0G   48K  4.0G   1% /dev/shm
gvfs-fuse-daemon      2.0G  434M  1.5G  23% /home/justin/.gvfs
/dev/sdb1             230G  147G   72G  68% /media/disk

[justin@echelon ~]$ cat /etc/fstab 
/dev/rootvg/rootlv      /                       ext4dev defaults        1 1
/dev/rootvg/optlv       /opt                    ext4dev defaults        1 2
/dev/rootvg/tmplv       /tmp                    ext4dev defaults        1 2
/dev/rootvg/varlv       /var                    ext4dev defaults        1 2
/dev/rootvg/homelv      /home                   ext3    defaults        1 2
/dev/rootvg/usrlv       /usr                    ext4dev defaults        1 2
/dev/rootvg/locallv     /usr/local              ext4dev defaults        1 2
UUID=989d19c5-bd8c-4925-a417-c8e45333d5d6 /boot                   ext3   
defaults        1 2
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
/dev/rootvg/swaplv      swap                    swap    defaults        0 0
/dev/rootvg/imageslv		/var/lib/libvirt/images		ext3	defaults1 2

[root@echelon ~]# mount -a
[root@echelon ~]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/rootvg-rootlv
                      2.0G  434M  1.5G  23% /
/dev/mapper/rootvg-optlv
                      4.0G  156M  3.6G   5% /opt
/dev/mapper/rootvg-tmplv
                      2.0G   71M  1.8G   4% /tmp
/dev/mapper/rootvg-varlv
                      4.0G  346M  3.5G  10% /var
/dev/mapper/rootvg-homelv
                       60G   13G   44G  24% /home
/dev/mapper/rootvg-usrlv
                      8.0G  5.5G  2.2G  72% /usr
/dev/mapper/rootvg-locallv
                      9.9G  8.1G  1.4G  86% /usr/local
/dev/sda1             251M   24M  215M  10% /boot
tmpfs                 4.0G   48K  4.0G   1% /dev/shm
/dev/sdb1             230G  147G   72G  68% /media/disk
/dev/mapper/rootvg-imageslv
                       99G   20G   74G  22% /var/lib/libvirt/images
Comment 2 Justin Conover 2008-06-03 21:26:26 EDT
Looks like because I used a dir that already existed be for I made it, its own
FS.  Created another one /tools and it mounted after reboot.

dmesg/selinux
type=1400 audit(1212529151.450:4): avc:  denied  { mounton } for  pid=1734
comm="mount" path="/var/lib/libvirt/images" dev=dm-3 ino=65790
scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:virt_image_t:s0
tclass=dir
type=1400 audit(1212529151.450:5): avc:  denied  { mounton } for  pid=1734
comm="mount" path="/var/lib/libvirt/images" dev=dm-3 ino=65790
scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:virt_image_t:s0
tclass=dir
Comment 3 Bug Zapper 2009-06-09 21:23:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:37:42 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.